# Copyright (C) 2013-2016 Freescale Semiconductor
# Copyright 2017 NXP
# Copyright 2018 Embedian, Inc..
# Released under the MIT license (see COPYING.MIT for the terms)

SUMMARY = "Linux Kernel for SMARC-FiMX7 and supported by Embedian"
DESCRIPTION = "Linux Kernel provided and supported by Embedian with focus on \
SMARC-FiMX7 Family Computer on Modules."

LICENSE = "GPLv2"
LIC_FILES_CHKSUM = "file://COPYING;md5=d7810fab7487fb0aad327b76f1be7cd7"

require recipes-kernel/linux/linux-imx.inc

DEPENDS += "lzop-native bc-native"

DEFAULT_PREFERENCE = "1"

DO_CONFIG_V7_COPY = "no"
DO_CONFIG_V7_COPY_mx6 = "yes"
DO_CONFIG_V7_COPY_mx7 = "yes"
DO_CONFIG_V7_COPY_mx8 = "no"

SRCBRANCH = "smarc-imx7_4.9.88_2.0.0_ga"

LOCALVERSION = "-${SRCBRANCH}"
DEFCONFIG_mx7 = "smarcfimx7_defconfig"

KERNEL_SRC ?= "git@git.embedian.com:developer/smarc-fsl-linux-kernel.git;protocol=git"
SRC_URI = "${EMB_KERNEL_MIRROR};protocol=ssh;branch=${SRCBRANCH}"
SRCREV = "f5922409377902ad04a4bb7d49dccee2e7168169"

S = "${WORKDIR}/git"

addtask copy_defconfig after do_unpack before do_preconfigure
do_copy_defconfig () {
    install -d ${B}
    if [ ${DO_CONFIG_V7_COPY} = "yes" ]; then
        # copy latest imx_v7_defconfig to use for mx6, mx6ul and mx7
        mkdir -p ${B}
        cp ${S}/arch/arm/configs/${DEFCONFIG_mx7} ${B}/.config
        cp ${S}/arch/arm/configs/${DEFCONFIG_mx7} ${B}/../defconfig
    else
        # copy latest defconfig to use for mx8
        mkdir -p ${B}
        cp ${S}/arch/arm64/configs/${DEFCONFIG_mx8} ${B}/.config
        cp ${S}/arch/arm64/configs/${DEFCONFIG_mx8} ${B}/../defconfig
    fi
}

COMPATIBLE_MACHINE = "(mx6|mx7|mx8)"
EXTRA_OEMAKE_append_mx6 = " ARCH=arm"
EXTRA_OEMAKE_append_mx7 = " ARCH=arm"
EXTRA_OEMAKE_append_mx8 = " ARCH=arm64"
